Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.event
Class EventManager.EventManagerHelper

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.event.EventManager.EventManagerHelper

Enclosing class:
  EventManager

public static class EventManager.EventManagerHelper
extends Object

Constructor Summary
`EventManager.EventManagerHelper()`

Method Summary
`static void` | `beforeTransactionCommit(Collection listeners, PersistenceManagerImpl pm, Set added, Set updated, Set deleted)` Fire the proper events signifying that a transaction is about to commit.
`static void` | `onTransactionCommit(Collection listeners, PersistenceManagerImpl pm, Set added, Set updated, Set deleted)` Fire the proper events signifying that a transaction has committed.
`static void` | `onTransactionRollback(Collection listeners, PersistenceManagerImpl pm)` Fire the proper events signifying that a transaction has rolled back.
`static void` | `onTransactionStarted(Collection listeners, PersistenceManagerImpl pm)` Fire the proper events signifying that a transaction has begun.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventManager.EventManagerHelper

    public EventManager.EventManagerHelper()

Method Detail

### onTransactionCommit

    public static void onTransactionCommit(Collection listeners,
                                           PersistenceManagerImpl pm,
                                           Set added,
                                           Set updated,
                                           Set deleted)

  Fire the proper events signifying that a transaction has committed. Implementations must invoke this after the commit has succeeded.

  This will result in `TransactionCommitListener.transactionCommitted(com.solarmetric.kodo.runtime.PersistenceManagerImpl, java.util.Set, java.util.Set, java.util.Set)` being invoked on all the `TransactionCommitListener` objects in `listeners`.

### beforeTransactionCommit

    public static void beforeTransactionCommit(Collection listeners,
                                               PersistenceManagerImpl pm,
                                               Set added,
                                               Set updated,
                                               Set deleted)

  Fire the proper events signifying that a transaction is about to commit. Implementations must invoke this before the commit is performed.

  This will result in `TransactionCommitListener.beforeTransactionCommit(com.solarmetric.kodo.runtime.PersistenceManagerImpl, java.util.Set, java.util.Set, java.util.Set)` being invoked on all the `TransactionCommitListener` objects in `listeners`.

### onTransactionRollback

    public static void onTransactionRollback(Collection listeners,
                                             PersistenceManagerImpl pm)

  Fire the proper events signifying that a transaction has rolled back. Implementations must invoke this after the commit has failed.

  This will result in `TransactionRollbackListener.transactionRolledBack(com.solarmetric.kodo.runtime.PersistenceManagerImpl)` being invoked on all the `TransactionRollbackListener` objects in `listeners`.

### onTransactionStarted

    public static void onTransactionStarted(Collection listeners,
                                            PersistenceManagerImpl pm)

  Fire the proper events signifying that a transaction has begun.

  This will result in `TransactionStartListener.transactionStarted(com.solarmetric.kodo.runtime.PersistenceManagerImpl)` being invoked on all the `TransactionStartListener` objects in `listeners`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.